From 67f41e5a8152a4217ee702fea640d905e86ae7d9 Mon Sep 17 00:00:00 2001
From: Andre Heinecke <aheinecke@gnupg.org>
Date: Sun, 12 Oct 2025 14:18:45 +0200
Subject: [PATCH] Change config path from .claude/mcp-browser to
 .config/mcp-browser

---
 mcp_browser/__main__.py             | 2 +-
 mcp_browser/default_configs.py      | 8 ++++----
 mcp_servers/memory/memory_server.py | 2 +-
 setup.py                            | 2 +-
 tests/test_cmem_integration.py      | 4 ++--
 5 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/mcp_browser/__main__.py b/mcp_browser/__main__.py
index 245ab3b..fb5d730 100644
--- a/mcp_browser/__main__.py
+++ b/mcp_browser/__main__.py
@@ -651,7 +651,7 @@ Examples:
   mcp-browser --mode server            # Run as MCP server (stdin/stdout)
   
 Configuration:
-  Default config: ~/.claude/mcp-browser/config.yaml
+  Default config: ~/.config/mcp-browser/config.yaml
   First run creates default configuration with examples
   
 Environment:
diff --git a/mcp_browser/default_configs.py b/mcp_browser/default_configs.py
index d6ce924..af2b1ba 100644
--- a/mcp_browser/default_configs.py
+++ b/mcp_browser/default_configs.py
@@ -2,7 +2,7 @@
 """
 Default configuration files for MCP Browser.
 
-Creates and manages default config directory at ~/.claude/mcp-browser/
+Creates and manages default config directory at ~/.config/mcp-browser/
 with all necessary files including config, onboarding, patterns, etc.
 """
 
@@ -214,7 +214,7 @@ $.tools[?(@.name == 'brave_web_search')]
 
 ## 🔧 Configuration
 
-Configuration file: `~/.claude/mcp-browser/config.yaml`
+Configuration file: `~/.config/mcp-browser/config.yaml`
 
 Key settings:
 - `default_server` - Server to use by default
@@ -234,7 +234,7 @@ mcp-browser --config ~/myconfig.yaml --mode server
 ```
 
 ### Custom Configurations
-1. Edit `~/.claude/mcp-browser/config.yaml`
+1. Edit `~/.config/mcp-browser/config.yaml`
 2. Add your MCP servers
 3. Set environment variables as needed
 4. Restart mcp-browser
@@ -327,7 +327,7 @@ class ConfigManager:
         if config_dir:
             self.config_dir = Path(config_dir)
         else:
-            self.config_dir = Path.home() / ".claude" / "mcp-browser"
+            self.config_dir = Path.home() / ".config" / "mcp-browser"
     
     def ensure_config_directory(self) -> None:
         """Ensure config directory exists with all default files."""
diff --git a/mcp_servers/memory/memory_server.py b/mcp_servers/memory/memory_server.py
index 8e07e7e..d80f57c 100755
--- a/mcp_servers/memory/memory_server.py
+++ b/mcp_servers/memory/memory_server.py
@@ -226,7 +226,7 @@ class MemoryServer(BaseMCPServer):
             identity_dir.mkdir(exist_ok=True)
             
             # Check if we should symlink to cmem storage
-            claude_dir = Path.home() / ".claude"
+            claude_dir = Path.home() / ".config"
             if claude_dir.exists():
                 # Try to find cmem session data
                 cmem_session_dirs = list(claude_dir.glob("sessions/*/"))
diff --git a/setup.py b/setup.py
index a6be128..d4f181d 100644
--- a/setup.py
+++ b/setup.py
@@ -186,7 +186,7 @@ class GenerateApiDocs(Command):
                 import os
                 
                 # Initialize MCP Browser with config from standard location
-                config_path = Path.home() / ".claude" / "mcp-browser" / "config.yaml"
+                config_path = Path.home() / ".config" / "mcp-browser" / "config.yaml"
                 
                 print(f"Loading config from: {config_path}")
                 if not config_path.exists():
diff --git a/tests/test_cmem_integration.py b/tests/test_cmem_integration.py
index cf6a667..052479c 100644
--- a/tests/test_cmem_integration.py
+++ b/tests/test_cmem_integration.py
@@ -51,8 +51,8 @@ class TestCmemIntegration:
             with patch('subprocess.run') as mock_run:
                 mock_run.return_value.returncode = 0  # cmem available
                 
-                # Create mock .claude directory
-                claude_dir = Path(self.temp_dir) / ".claude"
+                # Create mock .config directory
+                claude_dir = Path(self.temp_dir) / ".config"
                 claude_dir.mkdir()
                 sessions_dir = claude_dir / "sessions" / "test_session"
                 sessions_dir.mkdir(parents=True)
